JTS Topology Suite version 1.13

## com.vividsolutions.jts.operation.overlay.validate
Class OffsetPointGenerator

    java.lang.Object
      com.vividsolutions.jts.operation.overlay.validate.OffsetPointGenerator

    public class OffsetPointGenerator

extends java.lang.Object

Generates points offset by a given distance from both sides of the midpoint of all segments in a `Geometry`. Can be used to generate probe points for determining whether a polygonal overlay result is incorrect. The input geometry may have any orientation for its rings, but `setSidesToGenerate(boolean, boolean)` is only meaningful if the orientation is known.

Version:
  1.7
Author:
  Martin Davis

Constructor Summary
`OffsetPointGenerator(Geometry g)`

Method Summary
`java.util.List` `getPoints(double offsetDistance)` Gets the computed offset points.
`void` `setSidesToGenerate(boolean doLeft, boolean doRight)` Set the sides on which to generate offset points.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OffsetPointGenerator

    public OffsetPointGenerator(Geometry g)

Method Detail

### setSidesToGenerate

    public void setSidesToGenerate(boolean doLeft,
                                   boolean doRight)

  Set the sides on which to generate offset points.

  Parameters:
    `doLeft` -
    `doRight` -

### getPoints

    public java.util.List getPoints(double offsetDistance)

  Gets the computed offset points.

  Returns:
    List<Coordinate>

JTS Topology Suite version 1.13